---
description: How to set parameters for a calculation with a positron in the system.
authors: MT
---
<!--- This is the source file for this topics. Can be edited. -->

This page gives hints on how to set parameters for a calculation with a positron in the system. with the ABINIT package.

## Introduction

The lifetime of positrons and their annihilation rate can be computed, using
the self-consistent two-component DFT, including force and stress computation,
LDA and GGA, norm-conserving as well as PAW [[cite:Wiktor2015]]. Doppler
broadening can also be computed. The details of of the way to perform such
calculations is given in the description of the [[positron]] input variable,
as well as in [[lesson:positron|the lesson on electron-positron
annihilation]].

Examples can be found in [[cite:Wiktor2013]], [[cite:Wiktor2014]],
[[cite:Wiktor2014a]] and [[cite:Wiktor2014b]].



## Related Input Variables

{{ related_variables }}

## Selected Input Files

{{ selected_input_files }}

## Tutorials

* [[lesson:positron|The lesson on electron-positron annihilation]]

